# Generated from cloudutil-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cloudutil

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: A utility library for performing helpful tasks with various cloud platform providers
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop)
BuildArch: noarch

%description
# Cloudutil
A utility library for performing helpful tasks with various cloud platform
providers
## Installation
Add this line to your application's Gemfile:
gem 'cloudutil'
And then execute:
$ bundle install
Or install it yourself as:
$ gem install cloudutil
## Usage
For AWS helpers:
require 'cloudutil/aws'
aws = Cloudutil::AWS(config: existing_AWS::Config_object) -or-
aws = Cloudutil::AWS(access_key: your_AWS_access_key, secret_key:
your_AWS_secret_key)
subnet_id  = aws.resolve_subnet_id('my_subnet_name_or_tag')
sec_grp_id = aws.resolve_subnet_id('my_security_group_name_or_tag')
ami_id = aws.resolve_subnet_id('my_ami_name_or_tag')
## Contributing
1. Fork it ( https://github.com/mmmorris1975/cloudutil/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cloudutil.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.0-1
- Initial package
